Name:sigil	
Version: 0.5.0	
Release:	1%{?dist}
Summary: A WYSIWYG ebook editor, for ePub format	

Group:	Applications/Publishing
License: GPLv3
URL:	http://code.google.com/p/sigil/
Source0: http://sigil.googlecode.com/files/Sigil-%{version}-Code.zip
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: pkgconfig(Qt)  >= 4.7.0
BuildRequires: pkgconfig(QtGui) >= 4.7.0
BuildRequires: pkgconfig(QtXml) >= 4.7.0
BuildRequires: pkgconfig(QtWebKit) >= 4.7.0
BuildRequires: pkgconfig(QtSvg) >= 4.7.0
BuildRequires: desktop-file-utils
 
#Requires:	

%description
Sigil is a multi-platform WYSIWYG ebook editor. It is designed to edit books 
in ePub format.

Now what does it have to offer...

    * Free and open source software under GPLv3
    * Multi-platform: runs on Windows, Linux and Mac
    * Full Unicode support: everything you see in Sigil is in UTF-16
    * Full EPUB spec support
    * WYSIWYG editing
    * Multiple Views: Book View, Code View and Split View
    * Metadata editor with full support for all possible metadata entries 
(more than 200) with full descriptions for each
    * Table Of Contents editor
    * Multi-level TOC support
    * Book View fully supports the display of any XHTML document possible 
under the OPS spec
    * SVG support
    * Basic XPGT support
    * Advanced automatic conversion of all imported documents to Unicode
    * Currently imports TXT, HTML and EPUB files; more will be added with time
    * Currently exports EPUB and SGF (Sigil native format); more will be added 
with time
    * Embedded HTML Tidy; all imported documents are thoroughly cleaned; 
changing views cleans the document so no matter how much you screw up your 
code, it will fix it (usually)
    * An actually usable user interface
    * Native C++ application
    * Bugs :)
    * And a lot more... 


%prep
%setup -q -c Sigil-%{version} 


%build
cmake -G "Unix Makefiles" -DCMAKE_INSTALL_PREFIX=/usr/ -DCMAKE_BUILD_TYPE=makeinstaller %{_builddir}/sigil-%{version}  


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%check
ctest

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.txt COPYING.txt
%{_bindir}/sigil
%{_datadir}/pixmaps/sigil.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/sigil/dictionaries/* 
%{_datadir}/sigil/translations/*

%changelog
* Mon Dec 19 2011 Alejandro Perez <aeperezt@fedoraproject.org> 0.5.0-1
- First package build.

